@echo off
if "%DEBUG%"=="1" @echo on

setlocal

SET FXPATH="D:\Program Files\Microsoft Visual Studio .NET\FrameworkSDK\Bin"
SET SRCFILENAME="C:\Program Files\Microsoft SQL Server\80\Tools\Binn\dtspkg.dll"
SET DSTFILENAME=Microsoft.SQLServer.DTSPkg80.dll
SET KEYFILENAME=%INETROOT%\src\sdn.key

@echo Un-register the assembly wrapping from the Global Assembly cache
%FXPATH%\gacutil.exe -u %DSTFILENAME%

@echo If target assembly exists, delete it first
if exist %DSTFILENAME% del %DSTFILENAME%

@echo Create wrapping assembly
%FXPATH%\tlbimp.exe %SRCFILENAME% /out:%DSTFILENAME% /keyfile:%KEYFILENAME%

@echo Place assembly wrapping in the GAC (Global Assembly Cache)
%FXPATH%\gacutil.exe -i %DSTFILENAME%

endlocal
