using System;
using DTS = Microsoft.SqlServer.DTSPkg80;

namespace ExecPkg
{
	/// <summary>
	/// Summary description for App.
	/// </summary>
	class App
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[MTAThread]
		static void Main(string[] args)
		{
			try
			{
				DTS.Package2Class package = new DTS.Package2Class();
			
				string filename = @"c:\test1.dts";
				string password = null;
				string packageID = null;
				string versionID = null;
				string name = "DTSTestPackage";
				object pVarPersistStfOfHost = null;
			
				package.LoadFromStorageFile(
					filename, 
					password, 
					packageID, 
					versionID, 
					name, ref 
					pVarPersistStfOfHost);
			
				package.Execute();
				package.UnInitialize();
			
				package = null;
			}
			catch(System.Runtime.InteropServices.COMException e)
			{
				Console.WriteLine(e);
			}
			catch(System.Exception e)
			{
				Console.WriteLine(e);
			}
		}
	}
}
